<?
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|      Milestone Theme for PHP-Fusion v6      |
|---------------------------------------------|
| author: PHP-Fusion Themes - Shedrock  2005 |
| web: http://phpfusion.org                   |
| email: webmaster@phpfusion.org              |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

// theme settings
$body_text = "#000000";
$body_bg = "#FFFFFF";
$theme_width = "100%";
$theme_width_l = "170";
$theme_width_r = "170";

function render_header($header_content) {
global $theme_width,$settings;
	
	echo "<table align='center' border='0' cellpadding='0' cellspacing='0' width='$theme_width' height='82'>";
	echo "<tr><td width='15'></td>";
	// Start banner code
	echo "<td width='100%' class='header-center'>";
	echo "<table width='100%' cellspacing='0' cellpadding='0'>";
	echo "<tr><td>$header_content</td></tr>";
	echo "</table></td>";
	// End banner code
	echo "<td width='15'></td></tr></table>\n";
	echo "<img src='".THEME."images/pixel.gif' height='5'>";
echo "<table align='center' border='0' cellpadding='0' cellspacing='0' width='$theme_width' height='26'>";
	echo "<tr><td width='42'><img src='".THEME."images/nav-left.gif' width='45' height='26'></td>";
	echo "<td width='70%' background='".THEME."images/nav-center.gif'>";

require_once INFUSIONS."menu_horizontal_panel/menu_horizontal_panel.php";

	echo "</td>";
	echo "<td align='right' width='25%' background='".THEME."images/nav-center.gif'>";
	echo "".ucwords(showdate($settings['subheaderdate'], time()))."</td>";
	echo "<td width='30'><img src='".THEME."images/nav-right.gif' width='45' height='26'></td></tr></table>";
	echo "<table align='center' width='$theme_width' cellspacing='0' cellpadding='0'><br>\n<tr>\n";;

}

function render_footer($license=false) {

global $theme_width,$settings,$locale;

echo "</tr>\n</table>\n";

echo "<table cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td class='full-header'>".stripslashes($settings['footer'])."</td>
</tr>
</table>
<table cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td align='center' class='white-header'><br>
".$settings['counter']." ".($settings['counter'] == 1 ? $locale['140']."<br><br>\n" : $locale['141']."<br><br>\n");
if ($license == false) {
echo "Powered by <a href='http://www.php-fusion.co.uk' target='_blank'><img src='".THEME."images/fusion.gif' alt='PHP-Fusion' title='PHP-Fusion' border='0' style='vertical-align:middle;'></a> v".$settings['version']."  2003-2005<br><br>\n";
}
echo "</td>
</tr>
</table>
</td>
</tr>
</table>\n";

}

function render_news($subject, $news, $info) {

global $locale;

echo "<table width='100%' cellpadding='0' cellspacing='0' class='border'>
<tr>
<td>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='capmain'>$subject</td>
</tr>
<tr>
<td class='main-body'>
$news
</td>
</tr>
<tr>
<td align='right' class='news-footer'><img src='".THEME."images/bullet.gif'>
".$locale['040']."<a href='profile.php?lookup=".$info['user_id']."' class='white'>".$info['user_name']."</a>
".$locale['041'].showdate("longdate", $info['news_date'])." 
".($info['news_ext'] == "y" ? "<a href='news.php?readmore=".$info['news_id']."' class='white'>".$locale['042']."</a> \n" : "");
if ($info['news_allow_comments']) echo "<a href='news.php?readmore=".$info['news_id']."' class='white'>".$info['news_comments'].$locale['043']."</a> \n";
echo $info['news_reads'].$locale['044']."
<a href='print.php?type=N&item_id=".$info['news_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['045']."' border='0' style='vertical-align:middle;'></a>
</td>
</tr>
</table>
</td>
</tr>
</table>\n";

}

function render_article($subject, $article, $info) {

global $locale;

echo "<table width='100%' cellpadding='0' cellspacing='0' class='border'>
<tr>
<td>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='capmain'>$subject</td>
</tr>
<tr>
<td class='main-body'>
".($info['article_breaks'] == "y" ? nl2br($article) : $article)."
</td>
</tr>
<tr>
<td class='news-footer'><img src='".THEME."images/bullet.gif'>
".$locale['040']."<a href='profile.php?lookup=".$info['user_id']."' class='white'>".$info['user_name']."</a>
".$locale['041'].showdate("longdate", $info['article_date'])." \n";
if ($info['article_allow_comments']) echo $info['article_comments'].$locale['043']." \n";
echo $info['article_reads'].$locale['044']."
<a href='print.php?type=A&item_id=".$info['article_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['045']."' border='0' style='vertical-align:middle;'></a>
</td>
</tr>
</table>
</td>
</tr>
</table>\n";

}

function opentable($title) {

echo "<table width='100%' cellpadding='0' cellspacing='0' class='border'>
<tr>
<td>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='capmain'>$title</td>
</tr>
<tr>
<td class='main-body'>\n";

}

function closetable() {

echo "</td>
</tr>
</table>
</td>
</tr>
</table>\n";

}

function openside($title) {

echo "<table width='100%' cellpadding='0' cellspacing='0' class='border'>
<tr>
<td>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='capmain'>$title</td>
</tr>
<tr>
<td class='side-body'>\n";

}

function closeside() {

echo "</td>
</tr>
<tr>
<td height='8' class='side-base'> </td>
</tr>
</table>
</td>
</tr>
</table>\n";
tablebreak();

}

function opensidex($title,$open="on") {

if($open=="on"){$box_img="off";}else{$box_img="on";}
echo "<table width='100%' cellpadding='0' cellspacing='0' class='border'>
<tr>
<td>
<table width='100%' cellpadding='0' cellspacing='0'>
<td class='capmain'>$title</td>
<td class='capmain' align='right'>
<img onclick=\"javascript:flipBox('$title')\" name='b_$title' border='0' src='".THEME."images/panel_$box_img.gif'>
</td>
</tr>
<tr>
<td colspan='2' class='side-body'>
<div id='box_$title'"; if($open=="off"){ echo "style='display:none'"; } echo ">\n";

}

function closesidex() {

echo "</div>
</td>
</tr>
<tr>
<td colspan='2' height='8' class='side-base'> </td>
</tr>
</table>
</td>
</tr>
</table>\n";
tablebreak();

}

function tablebreak() {

echo "<table width='100%' cellspacing='0' cellpadding='0'>
<tr><td height='8'></td></tr>
</table>\n";

}
?>